<?php
// Copyright (C) <2015-present>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.

// in src/Form/VMWareForm.php
namespace VMWAREModule\Form;

use Cake\Form\Form;
use Cake\Form\Schema;
use Cake\Validation\Validator;

/**
 * Class VMWareForm
 * @package VMWAREModule\Form
 */
class VMWareForm extends Form {
    protected function _buildSchema(Schema $schema): Schema {
        return $schema
            ->addField('vcenter', ['type' => 'string'])
            ->addField('username', ['type' => 'string'])
            ->addField('password', ['type' => 'string'])
            ->addField('services', ['type' => 'array']);
    }

    public function validationDefault(Validator $validator): Validator {
        $validator
            ->requirePresence('vcenter')
            ->allowEmptyString('vcenter', null, function ($context) {
                return $context['data']['typeId'] === 'vmware-esx-directly';
            });
        $validator
            ->requirePresence('username')
            ->allowEmptyString('username', null, false);
        $validator
            ->requirePresence('password')
            ->allowEmptyString('password', null, false);
        $validator
            ->requirePresence('services')
            ->notEmptyArray('services', __('You have to select at least one service'), false);

        return $validator;
    }
}
