<?php
// Copyright (C) <2015-present>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.

namespace VMWAREModule\Lib;


use itnovum\openITCOCKPIT\Core\Wizards\ModuleWizardsInterface;

class Wizards implements ModuleWizardsInterface {

    /**
     * @var array
     */
    private $ACL_PERMISSIONS = [];

    /**
     * Widgets constructor.
     * @param $ACL_PERMISSIONS
     */
    public function __construct($ACL_PERMISSIONS) {
        $this->ACL_PERMISSIONS = $ACL_PERMISSIONS;
    }

    /**
     * @return array
     */
    public function getAvailableWizards() {
        if (!(isset($this->ACL_PERMISSIONS['hosts']['add']) && isset($this->ACL_PERMISSIONS['services']['add']))) {
            return [];
        }
        $wizards = [
            'vmware-through-vcenter' => [
                'type_id'                 => 'vmware-through-vcenter',
                'uuid'                    => '28b48f3c-5510-49a2-9fa5-00fd66cee4f2d',
                'title'                   => __('VMware (through vCenter)'),
                'description'             => __('Check everything regarding VMware. ESX Hosts, vCenter, virtual machines...'),
                'image'                   => 'VMware_logo.svg',
                'directive'               => 'vmware', //AngularJS directive
                'state'                   => 'WizardsVMWare',
                'category'                => ['virtualization', 'cloud'],
                'necessity_of_assignment' => true
            ],
            'vmware-esx-directly'    => [
                'type_id'                 => 'vmware-esx-directly',
                'uuid'                    => '92add831-ad5b-453c-87e0-96d32d324a99',
                'title'                   => __('VMware (esx directly)'),
                'description'             => __('Check everything regarding VMware. ESX Hosts, vCenter, virtual machines...'),
                'image'                   => 'VMware_logo.svg',
                'directive'               => 'vmware', //AngularJS directive
                'state'                   => 'WizardsVMWare',
                'category'                => ['virtualization', 'cloud'],
                'necessity_of_assignment' => true
            ],
        ];
        return $wizards;
    }

}
